%define name idjc
%define version 0.8.16
%define release %mkrel 1

Summary: Internet DJ Console
Name: %{name}
Version: %{version}
Release:%{release}
License: GPL
Group: Sound
Source: http://sourceforge.net/projects/idjc/%{name}-%{version}.tar.xz
Patch1:        idjc-0.8.14-disable-swresample.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.onlymeok.nildram.co.uk/
BuildRequires:	%{_lib}flac8-devel
BuildRequires:	gamin-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}faac-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libjack-devel 
BuildRequires:  %{_lib}jack0
BuildRequires:	liblame-devel
BuildRequires:	libmad-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	%{_lib}shout-devel
BuildRequires:	libspeex-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libshout-idjc-devel
BuildRequires:	x264-devel
BuildRequires:	libxine-devel
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	python-devel 
BuildRequires:	pygtk2.0-devel
BuildRequires:	mutagen
BuildRequires:	sndfile-devel
BuildRequires:	desktop-file-utils
Requires: faac
Requires: faad2
Requires: flac
Requires: jackit
Requires: python >= 2.7
Requires: pygtk2.0
Requires: mutagen
Requires: vorbis-tools
Obsoletes: %name < %version


%description
A graphical shoutcast/icecast client with two media players, a jingles player,
crossfader, ogg and mp3 streaming, shutoff timer, aux input. Uses Jack Audio
Connection Kit. Supports playing of mp3, ogg, flac, wma, wav, m4a, files. 

%description -l de
Internet DJ Console: Shoutcast- und Icecast-Client zum Streamen von Musik oder
Podcasts mit allen grundlegenden Funktionen; enthält zwei parallele Player, einen
Crossfader, Jingle-Player sowie einen automatischen Stream-Shutoff-Timer; streamt
in den Formaten MP3 und OGG und nutzt das Jack Audio Connection Kit; die Player
unterstützen alle gängigen Audioformate wie MP3, WAV, WMA, M4A, FLAC oder OGG

%prep
%setup -q 
%apply_patches

%build
autoreconf -sif
%configure2_5x --disable-static

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

# menu-entry
%__install -dm 755 %{buildroot}/%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}
Comment=Creates live radio shows or podcasts
GenericName=Graphical shoutcast/icecast client
Name=Internet DJ Console
StartupNotify=true
Terminal=false
Type=Application
Categories=GTK;AudioVideo;X-MandrivaLinux-Multimedia-Sound;
EOF

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 artwork/icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}



%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc doc/*
%{_docdir}/%{name}-%{version}/*
%{_bindir}/%{name}
%{_libdir}/idj*
%{_mandir}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{py_sitedir}/*
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sat Mar 11 2017 bb2 <bb2> - 0.8.16-1pclos2017
- update for new ffmpeg

* Tue Nov 18 2014 bb <bb> 0.8.14-2pclos2014
- rebuild ffmpeg 2.4.3

* Thu Jun 26 2014 pinoc <vogtpet at gmail.com> 0.8.14-1pclos2014
- updated BR for 32/64
- 0.8.14

